Set or remove an app's environment variables
curl --request PUT \
--url https://dojo.frogbot.ai/api/apps/{app}/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": {
"STRIPE_KEY": "sk_live_…",
"OLD_KEY": null
}
}
'import requests
url = "https://dojo.frogbot.ai/api/apps/{app}/keys"
payload = { "values": {
"STRIPE_KEY": "sk_live_…",
"OLD_KEY": None
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: {STRIPE_KEY: 'sk_live_…', OLD_KEY: null}})
};
fetch('https://dojo.frogbot.ai/api/apps/{app}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/apps/{app}/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'values' => [
'STRIPE_KEY' => 'sk_live_…',
'OLD_KEY' => null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/apps/{app}/keys"
payload := strings.NewReader("{\n \"values\": {\n \"STRIPE_KEY\": \"sk_live_…\",\n \"OLD_KEY\": null\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://dojo.frogbot.ai/api/apps/{app}/keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"values\": {\n \"STRIPE_KEY\": \"sk_live_…\",\n \"OLD_KEY\": null\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/apps/{app}/keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"values\": {\n \"STRIPE_KEY\": \"sk_live_…\",\n \"OLD_KEY\": null\n }\n}"
response = http.request(request)
puts response.read_body{
"changed": [
"<string>"
],
"retrying": true
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}Environment variables
Set or remove an app's environment variables
One restart for the whole change. null removes a variable. When the latest version failed to start, it starts again with the new values.
PUT
/
api
/
apps
/
{app}
/
keys
Set or remove an app's environment variables
curl --request PUT \
--url https://dojo.frogbot.ai/api/apps/{app}/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": {
"STRIPE_KEY": "sk_live_…",
"OLD_KEY": null
}
}
'import requests
url = "https://dojo.frogbot.ai/api/apps/{app}/keys"
payload = { "values": {
"STRIPE_KEY": "sk_live_…",
"OLD_KEY": None
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: {STRIPE_KEY: 'sk_live_…', OLD_KEY: null}})
};
fetch('https://dojo.frogbot.ai/api/apps/{app}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/apps/{app}/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'values' => [
'STRIPE_KEY' => 'sk_live_…',
'OLD_KEY' => null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/apps/{app}/keys"
payload := strings.NewReader("{\n \"values\": {\n \"STRIPE_KEY\": \"sk_live_…\",\n \"OLD_KEY\": null\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://dojo.frogbot.ai/api/apps/{app}/keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"values\": {\n \"STRIPE_KEY\": \"sk_live_…\",\n \"OLD_KEY\": null\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/apps/{app}/keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"values\": {\n \"STRIPE_KEY\": \"sk_live_…\",\n \"OLD_KEY\": null\n }\n}"
response = http.request(request)
puts response.read_body{
"changed": [
"<string>"
],
"retrying": true
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}